/* cert.h - LDAP access
 *      Copyright (C) 2002 Klarlvdalens Datakonsult AB
 *
 * This file is part of DirMngr.
 *
 * DirMngr is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * DirMngr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef CERT_H
#define CERT_H

#include <stdlib.h>

#include <ksba.h>

/*! Returns the cert. contructed from the
 * data or NULL if an error occurred
 */
KsbaCert make_cert( char* data, size_t len );

/*! Returns SHA1 hash of the data
 */
char* hashify_data( const char* data, size_t len );

/*! Returns data as a hex string
 */
char* hexify_data( const unsigned char* data, size_t len );

/*! Returns the serial number as a hex string
 */
char* serial_hex( KsbaSexp serial );

#endif /* CERT_H */
